#ifndef __NETWORK_H__
#define __NETWORK_H__

#include <QObject>
#include <QUdpSocket>

class Network : public QObject
{
    Q_OBJECT

public:
    explicit Network(QObject *parent = nullptr);
    ~Network();

private:
    QUdpSocket m_udpSocket;

signals:
    void updateScreen(const QJsonObject &obj);

private slots:
    void onUdpReadyRead();

};



#endif  // NETWORK_H